﻿using System.Drawing;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            IsMdiContainer                   = true;
            ShowMdiChildCaptionInParentTitle = true;
            MdiChildCaptionFormatString      = "{1} → {0}";

            XtraForm childForm1 = new XtraForm();

            childForm1.Size      = new Size(600, 450);
            childForm1.Text      = "자식 폼 1";
            childForm1.MdiParent = this;

            childForm1.Show();

            XtraForm childForm2 = new XtraForm();

            childForm2.Size      = new Size(600, 450);
            childForm2.Text      = "자식 폼 2";
            childForm2.MdiParent = this;

            childForm2.Show();
        }

        #endregion
    }
}